package neuroet;

import java.util.Comparator;

/**
 * <p>Title: Neural Net Classes</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: University of Washington</p>
 * @author Erik Tribou
 * @version 1.0
 */

public final class ObjectIntHolder
{

  private final Object o;
  private final int d;

  ObjectIntHolder(Object n, int u)
  {
    o = n;
    d = u;
  }

  public Object GetObject()
  {
    return o;
  }

  public int GetInt()
  {
    return d;
  }

  public String toString()
  {
    return o + "\t" + d;
  }



  public static final Comparator intAscending = new Comparator()
  {
    public int compare(Object o1, Object o2)
    {
      int x1 = ((ObjectIntHolder)o1).GetInt();
      int x2 = ((ObjectIntHolder)o2).GetInt();

      return x1 - x2;

    }
  };

  public static final Comparator intDescending = new Comparator()
  {
    public int compare(Object o1, Object o2)
    {
      int x1 = ((ObjectIntHolder)o1).GetInt();
      int x2 = ((ObjectIntHolder)o2).GetInt();

      return x2 - x1;

    }
  };

}